"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const pageBreak = require("../print/src/page-break.js");
const index = require("../dynamics/index.js");
const VxePrintPageBreak = Object.assign({}, pageBreak.default, {
  install(app) {
    app.component(pageBreak.default.name, pageBreak.default);
  }
});
index.dynamicApp.use(VxePrintPageBreak);
index_esm.VxeUI.component(pageBreak.default);
const PrintPageBreak = VxePrintPageBreak;
exports.PrintPageBreak = PrintPageBreak;
exports.VxePrintPageBreak = VxePrintPageBreak;
exports.default = VxePrintPageBreak;
